Returns true if the document has any child documents

- « SolrInputDocument::getFieldNames

- SolrInputDocument::merge »

- PHP Manual
- SolrInputDocument
- Returns true if the document has any child documents

# SolrInputDocument::hasChildDocuments

(PECL solr >= 2.3.0)

SolrInputDocument::hasChildDocuments — Returns true if the document has any child documents

### Description

public SolrInputDocument::hasChildDocuments(): bool

Checks whether the document has any child documents

### Parameters

This function has no parameters.

### Return Values

### See Also

- SolrInputDocument::addChildDocument() - Adds a child document for block indexing
- SolrInputDocument::addChildDocuments() - Adds an array of child documents
- SolrInputDocument::getChildDocuments() - Returns an array of child documents (SolrInputDocument)
- SolrInputDocument::getChildDocumentsCount() - Returns the number of child documents